Panda3D

Functions
windowFramework.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "windowFramework.h"`
`#include "pandaFramework.h"`
`#include "displayRegion.h"`
`#include "buttonThrower.h"`
`#include "transform2sg.h"`
`#include "dSearchPath.h"`
`#include "filename.h"`
`#include "loader.h"`
`#include "keyboardButton.h"`
`#include "geom.h"`
`#include "geomTriangles.h"`
`#include "geomTristrips.h"`
`#include "geomVertexData.h"`
`#include "geomVertexFormat.h"`
`#include "geomVertexWriter.h"`
`#include "texturePool.h"`
`#include "textureAttrib.h"`
`#include "colorAttrib.h"`
`#include "perspectiveLens.h"`
`#include "orthographicLens.h"`
`#include "auto_bind.h"`
`#include "ambientLight.h"`
`#include "directionalLight.h"`
`#include "lightAttrib.h"`
`#include "boundingSphere.h"`
`#include "deg_2_rad.h"`
`#include "config_framework.h"`
`#include "cullFaceAttrib.h"`
`#include "rescaleNormalAttrib.h"`
`#include "shadeModelAttrib.h"`
`#include "pgTop.h"`
`#include "geomNode.h"`
`#include "texture.h"`
`#include "loaderFileTypeRegistry.h"`
`#include "pnmImage.h"`
`#include "virtualFileSystem.h"`
`#include "string_utils.h"`
`#include "bamFile.h"`
`#include "staticTextFont.h"`
`#include "mouseButton.h"`
`#include "rock_floor.rgb_src.c"`
`#include "shuttle_controls.bam_src.c"`

Go to the source code of this file.

## Functions
| PT (PandaNode) WindowFramework
| Loads the indicated image file as a texture, and creates a polygon to render it. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-04-02

Definition in file windowFramework.cxx.

## Function Documentation

## ◆ PT()

PT | ( | PandaNode |  | ) |

Loads the indicated image file as a texture, and creates a polygon to render it.

Returns the new model.

Definition at line 1186 of file windowFramework.cxx.

References TexturePool::load_texture().